Skip to main content
PUT
Update Campaign

Authorizations

Authorization
string
header
required

Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.

Headers

Content-Type
string
required

application/json

Path Parameters

id
string
required

Campaign Id

Body

application/json
email_preheader
string

Email preheader is the summary text that follows a subject line when the email is viewed in an inbox. In many cases, it’s used to provide a short summary of the email, and is typically one sentence long.

Minimum: 1

Maximum: 150

Minimum string length: 1
html
string

HTML template content for your email campaign.

Minimum string length: 1
list_ids
string[]

Recipients of your email campaign.

Contact list id. Before setting list id please check your contact count in list.

mailing_preference
boolean

true - Mailing preference option will be displayed in footer of email campaign template.

false - Mailing preference option will not be dispalyed.

name
string

Name of the campaign.

Minimum: 1

Maximum: 150

Minimum string length: 1
pause_rules
object

Optional

If you want to set a rule for sending a campaign, use this option. Based on the configured rule, the campaign will be sent.

permission_reminder
string

The permission reminder content in your email campaign. If you want give unsubscribe link give %%unsubscribe%%

Minimum: 1

Maximum: 150

Minimum string length: 1
plain_text
string

Plain text content of your email campaign.

Minimum string length: 1
reply_email
string

Email on which the campaign recipients will be able to reply to. If replay_email empty then sender email will be the reply email

Minimum string length: 1
report_spam
boolean

Spam reporting enable or disable.

rules
object

Supported contacts_order : first, last.

scheduled_at
string

Schedule time for your email campaign. Pass your timezone date-time format for accurate results.

Format: 2021-04-23 15:04:05

Minimum string length: 1
segments
string

Your recipient segment id.

Minimum string length: 1
sender
object
subject
string

Subject of the campaign.

Minimum: 1

Maximum: 150

Minimum string length: 1
viewin_browser
boolean

true: Enable the "View this email in your browser" in Campaign preview page.

false: Disable the "View this email in your browser" in Campaign preview page.

Response

OK

message
string
Minimum string length: 1